Global Event Handlers
C++ Reference to Application Programmer Interface (API)

## Typedefs

typedef void(* | xn::StateChangedHandler) (ProductionNode &node, void *pCookie)

## Detailed Description

## Typedef Documentation

## StateChangedHandler

typedef void(* xn::StateChangedHandler) (ProductionNode &node, void *pCookie)

Type definition to define event handlers for the 'State Change' event.

Parameters

  [in] | node | Node issuing the event.
  [in] | pCookie | User cookie passed on registration.

Remarks

The 'State Change' event can be invoked by a number of OpenNI objects. For example, this event is invoked by the ErrorStateCapability object whenever a node's error state changes. As another example, this event is also invoked by the MirrorCapability object whenever a node's mirror configuration has been changed.

Example:

The following is an example of a callback method that follows that signature:

void XN_CALLBACK_TYPE OnEvent(ProductionNode& node, void* pCookie)
{
}
xn::ProductionNode
Definition XnCppWrapper.h:2632